# OpenSC API Reference

sc_base64_decode
3
opensc

# sc_base64_decode

Decode a base64 stream

## Synopsis

    #include <opensc.h>

    int sc_base64_decode(const char *inbuf,
                         unsigned char *outbuf, size_t outlen);

## Description

This function decodes the base64 stream in inbuf, which is NULL-terminated, to the buffer pointed to by outbuf (which is outlen bytes long);

## Return value

Returns 0 if successful, or a negative value in case of error.